package org.netkernel.http.rest;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.urii.ValueSpace;

public class WrappedRequestValueSpace extends ValueSpace
{
	private INKFRequest mReq;
	public static String PBV_IDENTIFIER="pbv:operand";
	
	public WrappedRequestValueSpace(INKFRequest aReq)
	{ 	super(1);
		mReq=aReq;
		this.put(PBV_IDENTIFIER, mReq, ValueSpace.REQUEST_INDICATOR_META);
	}
	
	public String toString()
	{	return "WrappedRequestValueSpace("+this.getRequestIdentifier()+")";
	}
	
	public String getRequestIdentifier()
	{	String result;
		try
		{	result=mReq.getIdentifier();
		}
		catch(Exception e)
		{	result="";				
		}
		return result;
	}

	public boolean equals(Object aObject)
	{	boolean result;
		if(aObject instanceof WrappedRequestValueSpace)
		{	WrappedRequestValueSpace testSpace=(WrappedRequestValueSpace)aObject;
			result=this.getRequestIdentifier().equals(testSpace.getRequestIdentifier());
		}
		else
		{	result=super.equals(aObject);
		}
		return result;
	}
}